package com.yihu.jw.entity.hospital.survey;

import com.yihu.jw.entity.UuidIdentityEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

/**
 * Created by Trick on 2019/9/6.
 */
@Entity
@Table(name = "wlyy_survey_questions_option")
public class WlyySurveyQuestionsOptionDO {

    private String id;
    private String questionCode;//题库问题编码',
    private String content;//选项内容',
    private Integer haveComment;//是否有备注，0没有，1有
    private Integer isRequired;//选项说明是否必填（0否 1是）',
    private Integer sort;//单题内排序',
    private String del;//删除标志（1正常，0删除）',

    @Id
    @Column(name = "id", unique = true, nullable = false)
    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getQuestionCode() {
        return questionCode;
    }

    public void setQuestionCode(String questionCode) {
        this.questionCode = questionCode;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public Integer getIsRequired() {
        return isRequired;
    }

    public void setIsRequired(Integer isRequired) {
        this.isRequired = isRequired;
    }

    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }

    public String getDel() {
        return del;
    }

    public void setDel(String del) {
        this.del = del;
    }

    public Integer getHaveComment() {
        return haveComment;
    }

    public void setHaveComment(Integer haveComment) {
        this.haveComment = haveComment;
    }
}
